#install.packages("readxl")
library(readxl)
 
GDP = read_xlsx("RosesWolf_RegionalGDP_v6.xlsx", 
           sheet = "A1b Regional GDP (2011PPP)",  range = "A6:O179",  col_names = TRUE,
           col_types = c("text","text","text","numeric","numeric","numeric","numeric","numeric",
            "numeric",  "numeric",  "numeric",  "numeric",  "numeric",  "numeric",  "numeric"),
          na = ".")
View(GDP)
plot(log(GDP$`1900`),log(GDP$`2015`))
text( log(GDP$`1900`),log(GDP$`2015`), GDP$`NUTS-Codes`, col= "red")

y = log(GDP$`2015`)-log(GDP$`1900`)
hist(y, 10)
x = log(GDP$`1900`)
plot(x,y)
legend(7,4.3,unique(data$Species),col=1:length(data$Species),pch=1)
text(x, y, GDP$`NUTS-Codes`, col= "red")
r0 = lm(y~x)
abline(r0)
summary(r0)
#######
country =  GDP$`Country (current borders)` 
South   = I((country == 'Italy') | (country == 'Spain') | (country == 'Portugal'))
Nordic  = I((country == 'Norway') | (country == 'Sweden') | (country == 'Denmark') | (country == 'Finland'))
Central = I((country == 'Germany') | (country == 'Switzerland') | (country == 'Austria'))
CWest   = I((country == 'France') | (country == 'Belgium')| (country == 'Luxembourg'))
rc = lm(y~x+South+Nordic+Central+CWest)
summary(rc)

plot(x[South],y[South], col="red")
abline(rc$coefficients[1]+rc$coefficients[3],rc$coefficients[2], col="red")
lines(x[Central],y[Central], col="blue", type="p")
abline(rc$coefficients[1]+rc$coefficients[5],rc$coefficients[2], col="blue")
lines(x[Nordic],y[Nordic], col="green", type="p")
abline(rc$coefficients[1]+rc$coefficients[4],rc$coefficients[2], col="green") 
lines(x[CWest],y[CWest], col="gray", type="p")
abline(rc$coefficients[1]+rc$coefficients[6],rc$coefficients[2], col="gray")  
abline(rc$coefficients[1] ,rc$coefficients[2], col="yellow")  
abline(r0$coefficients[1] ,r0$coefficients[2], col="black")  
 