###########################################################################
## The br.csv data are taken from Principles of Econometrics, by 
## Hill, Griffihs and Lim (Wiley, 2008). 
## 1080 observations on the prices and characteristics of houses sold 
## in Baton Rouge, LA 2005. The variables considered are:
## price sqft Bedrooms Baths Age Occupancy Pool Style Fireplace Waterfront DOM
## price, dollars 
## sqft		total square feet
## bedrooms	number of bedrooms
## baths		number of full baths
## age		age in years
## Occupancy	Owner = 1, Vacant = 2, Tenant = 3
## Pool		Yes = 1, No = 0   
## Style		Traditional = 1, Townhouse = 2, Ranch = 3, New Orleans = 4,
##          Mobile Home = 5, Garden = 6, French = 7, Cottage = 8, 
##          Contemporary = 9, Colonial = 10, Acadian = 11
## Fireplace	Yes = 1, No = 0	
## Waterfront	Yes =1, No = 0
## DOM		Days on the market
###########################################################################
br = read.table("br.csv", sep = ",", header=T) # reads the data from a csv file
attach(br)                                     
# very useful: makes available each of the variables as a separate object 
# Preliminary analysis
hist(price, 30)
hist(price, 30, col = "blue", freq = F)      # Histogram
lines(density(price), col = 'red')

hist(log(price), 30, col = "red")  # Histogram of log transformation 
plot(sqft,price, col ="red") # Scatterplot of prices vs sqft
plot(Age, price, col ="red") # Scatterplot of prices vs age (note: age is discrete)
plot( factor(Occupancy), price, col ='red') # Boxplots by Occupancy
plot( factor(Style), price, col='yellow')
 
pairs(price~sqft+Age, upper.panel = panel.smooth )
## 
X = data.frame(price, sqft, Age, Bedrooms, Baths)
pairs(X)
summary(price)
mean(price)
median(price)
var(price)
stdev <- function(x) sqrt(var(x))
stdev(price)

